/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.jcg.springtxndemo.main;

import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import com.jcg.springtxndemo.app.TxnDemo;
import java.io.IOException;
import java.io.InputStream;
import java.util.logging.LogManager;

/**
 *
 * @author Kevin
 */
public class Main
{
    public static void main(String[] args)
    {
        InputStream is = Main.class.getResourceAsStream("logging.properties");
        if (is != null){
            try{
                LogManager.getLogManager().readConfiguration(is);
            } catch (IOException ioe){
                ioe.printStackTrace();
            }
        }
        ApplicationContext ctx = 
            new AnnotationConfigApplicationContext(AppConfig.class, 
                                                   TxnConfig.class);
        TxnDemo demo = ctx.getBean(TxnDemo.class);
        demo.demoTransactions();
    }
}
